package org.kaoriha.jspbp;

import javax.servlet.ServletException;

import org.kaoriha.jspbp.test.MockFilterConfig;

import junit.framework.Assert;
import junit.framework.TestCase;

public class JspbpFilterTest extends TestCase {
	public void testInitOk() throws ServletException {
		JspbpFilter filter = new JspbpFilter();
		filter.init(new MockFilterConfig("org.kaoriha.jspbp.test"));
	}

	public void testInitFail() {
		JspbpFilter filter = new JspbpFilter();
		try {
			filter.init(new MockFilterConfig(null));
		} catch (ServletException e) {
			// OK
			return;
		}
		Assert.fail("must fail");
	}
}
