package org.kaoriha.jspbp.taglib;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.TagSupport;

public class InputTag extends TagSupport {
	private InputTagAttr attr = new InputTagAttr();

	@Override
	public int doStartTag() throws JspException {
		try {
			attr.doStartTag(pageContext);
		} catch (Exception e) {
			throw new JspException("InputTag#doStartTag failed.", e);
		}
		return SKIP_BODY;
	}

	public String getAccept() {
		return attr.getAccept();
	}

	public String getAccesskey() {
		return attr.getAccesskey();
	}

	public String getAlign() {
		return attr.getAlign();
	}

	public String getAlt() {
		return attr.getAlt();
	}

	public String getChecked() {
		return attr.getChecked();
	}

	public String getCssClass() {
		return attr.getCssClass();
	}

	public String getDir() {
		return attr.getDir();
	}

	public String getDisabled() {
		return attr.getDisabled();
	}

	public String getId() {
		return attr.getId();
	}

	public String getLang() {
		return attr.getLang();
	}

	public String getMaxlength() {
		return attr.getMaxlength();
	}

	public String getOnblur() {
		return attr.getOnblur();
	}

	public String getOnchange() {
		return attr.getOnchange();
	}

	public String getOnclick() {
		return attr.getOnclick();
	}

	public String getOndblclick() {
		return attr.getOndblclick();
	}

	public String getOnfocus() {
		return attr.getOnfocus();
	}

	public String getOnkeydown() {
		return attr.getOnkeydown();
	}

	public String getOnkeypress() {
		return attr.getOnkeypress();
	}

	public String getOnkeyup() {
		return attr.getOnkeyup();
	}

	public String getOnmousedown() {
		return attr.getOnmousedown();
	}

	public String getOnmousemove() {
		return attr.getOnmousemove();
	}

	public String getOnmouseout() {
		return attr.getOnmouseout();
	}

	public String getOnmouseup() {
		return attr.getOnmouseup();
	}

	public String getOnselect() {
		return attr.getOnselect();
	}

	public String getProperty() {
		return attr.getProperty();
	}

	public String getReadonly() {
		return attr.getReadonly();
	}

	public String getSize() {
		return attr.getSize();
	}

	public String getSrc() {
		return attr.getSrc();
	}

	public String getStyle() {
		return attr.getStyle();
	}

	public String getTabindex() {
		return attr.getTabindex();
	}

	public String getTitle() {
		return attr.getTitle();
	}

	public String getType() {
		return attr.getType();
	}

	public String getUsemap() {
		return attr.getUsemap();
	}

	public void setAccept(String accept) {
		attr.setAccept(accept);
	}

	public void setAccesskey(String accesskey) {
		attr.setAccesskey(accesskey);
	}

	public void setAlign(String align) {
		attr.setAlign(align);
	}

	public void setAlt(String alt) {
		attr.setAlt(alt);
	}

	public void setChecked(String checked) {
		attr.setChecked(checked);
	}

	public void setCssClass(String cssClass) {
		attr.setCssClass(cssClass);
	}

	public void setDir(String dir) {
		attr.setDir(dir);
	}

	public void setDisabled(String disabled) {
		attr.setDisabled(disabled);
	}

	public void setId(String id) {
		attr.setId(id);
	}

	public void setLang(String lang) {
		attr.setLang(lang);
	}

	public void setMaxlength(String maxlength) {
		attr.setMaxlength(maxlength);
	}

	public void setOnblur(String onblur) {
		attr.setOnblur(onblur);
	}

	public void setOnchange(String onchange) {
		attr.setOnchange(onchange);
	}

	public void setOnclick(String onclick) {
		attr.setOnclick(onclick);
	}

	public void setOndblclick(String ondblclick) {
		attr.setOndblclick(ondblclick);
	}

	public void setOnfocus(String onfocus) {
		attr.setOnfocus(onfocus);
	}

	public void setOnkeydown(String onkeydown) {
		attr.setOnkeydown(onkeydown);
	}

	public void setOnkeypress(String onkeypress) {
		attr.setOnkeypress(onkeypress);
	}

	public void setOnkeyup(String onkeyup) {
		attr.setOnkeyup(onkeyup);
	}

	public void setOnmousedown(String onmousedown) {
		attr.setOnmousedown(onmousedown);
	}

	public void setOnmousemove(String onmousemove) {
		attr.setOnmousemove(onmousemove);
	}

	public void setOnmouseout(String onmouseout) {
		attr.setOnmouseout(onmouseout);
	}

	public void setOnmouseup(String onmouseup) {
		attr.setOnmouseup(onmouseup);
	}

	public void setOnselect(String onselect) {
		attr.setOnselect(onselect);
	}

	public void setProperty(String property) {
		attr.setProperty(property);
	}

	public void setReadonly(String readonly) {
		attr.setReadonly(readonly);
	}

	public void setSize(String size) {
		attr.setSize(size);
	}

	public void setSrc(String src) {
		attr.setSrc(src);
	}

	public void setStyle(String style) {
		attr.setStyle(style);
	}

	public void setTabindex(String tabindex) {
		attr.setTabindex(tabindex);
	}

	public void setTitle(String title) {
		attr.setTitle(title);
	}

	public void setType(String type) {
		attr.setType(type);
	}

	public void setUsemap(String usemap) {
		attr.setUsemap(usemap);
	}

	public String getValue() {
		return attr.getValue();
	}

	public void setValue(String value) {
		attr.setValue(value);
	}
}
